com.zipcodewilmington.streams.conversions

## Class ListConverter

- java.lang.Object
- - com.zipcodewilmington.streams.conversions.ConversionAgent<java.util.List<Person>>
  - - com.zipcodewilmington.streams.conversions.ListConverter

-     public final class ListConverter
      extends ConversionAgent<java.util.List<Person>>

  Created by leon on 5/25/17.

- - ### Field Summary

    - ### Fields inherited from class com.zipcodewilmington.streams.conversions.ConversionAgent

      `people`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListConverter(int collectionSize)`
    `ListConverter(java.util.List<Person> people)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Person[]` | `toArray()`
    `java.util.List<Person>` | `toList()`
    `java.util.stream.Stream<Person>` | `toStream()`

    - ### Methods inherited from class com.zipcodewilmington.streams.conversions.ConversionAgent

      `filter, flatMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListConverter

          public ListConverter(java.util.List<Person> people)

    - #### ListConverter

          public ListConverter(int collectionSize)

  - ### Method Detail

    - #### toList

          public java.util.List<Person> toList()

      Specified by:
        `toList` in class `ConversionAgent<java.util.List<Person>>`

    - #### toStream

          public java.util.stream.Stream<Person> toStream()

      Specified by:
        `toStream` in class `ConversionAgent<java.util.List<Person>>`

    - #### toArray

          public Person[] toArray()

      Specified by:
        `toArray` in class `ConversionAgent<java.util.List<Person>>`